# Uses of Interface
com.destroystokyo.paper.profile.PlayerProfile

Packages that use PlayerProfile
Package
Description
com.destroystokyo.paper.event.profile
com.destroystokyo.paper.event.server
com.destroystokyo.paper.profile
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of PlayerProfile in com.destroystokyo.paper.event.profile

Methods in com.destroystokyo.paper.event.profile that return PlayerProfile
Modifier and Type
Method
Description
`@NotNull PlayerProfile`
FillProfileEvent.`getPlayerProfile()`
`@NotNull PlayerProfile`
LookupProfileEvent.`getPlayerProfile()`
`@NotNull PlayerProfile`
PreFillProfileEvent.`getPlayerProfile()`
`@NotNull PlayerProfile`
ProfileWhitelistVerifyEvent.`getPlayerProfile()`
Constructors in com.destroystokyo.paper.event.profile with parameters of type PlayerProfile
Modifier
Constructor
Description
``
`FillProfileEvent(@NotNull PlayerProfile profile)`
``
`LookupProfileEvent(@NotNull PlayerProfile profile)`
``
`PreFillProfileEvent(@NotNull PlayerProfile profile)`
``
`ProfileWhitelistVerifyEvent(@NotNull PlayerProfile profile, boolean whitelistEnabled, boolean whitelisted, boolean isOp, @Nullable String kickMessage)`
Deprecated.
``
`ProfileWhitelistVerifyEvent(@NotNull PlayerProfile profile, boolean whitelistEnabled, boolean whitelisted, boolean isOp, @Nullable Component kickMessage)`

## Uses of PlayerProfile in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return types with arguments of type PlayerProfile
Modifier and Type
Method
Description
`@NotNull List<PlayerProfile>`
PaperServerListPingEvent.`getPlayerSample()`
Returns a mutable list of `PlayerProfile` that will be displayed as online players on the client.

## Uses of PlayerProfile in com.destroystokyo.paper.profile

Methods in com.destroystokyo.paper.profile that return types with arguments of type PlayerProfile
Modifier and Type
Method
Description
`@NotNull CompletableFuture<PlayerProfile>`
PlayerProfile.`update()`
Produces an updated player profile based on this profile.

## Uses of PlayerProfile in org.bukkit

Methods in org.bukkit that return PlayerProfile
Modifier and Type
Method
Description
`static PlayerProfile`
Bukkit.`createProfile(@NotNull String name)`
Creates a PlayerProfile for the specified name, with UUID as null.
`static PlayerProfile`
Bukkit.`createProfile(@NotNull UUID uuid)`
Creates a PlayerProfile for the specified uuid, with name as null.
`static PlayerProfile`
Bukkit.`createProfile(@Nullable UUID uuid, @Nullable String name)`
Creates a PlayerProfile for the specified name/uuid Both UUID and Name can not be null at same time.
`PlayerProfile`
Server.`createProfile(@NotNull String name)`
Creates a PlayerProfile for the specified name, with UUID as null.
`PlayerProfile`
Server.`createProfile(@NotNull UUID uuid)`
Creates a PlayerProfile for the specified uuid, with name as null.
`PlayerProfile`
Server.`createProfile(@Nullable UUID uuid, @Nullable String name)`
Creates a PlayerProfile for the specified name/uuid Both UUID and Name can not be null at same time.
`static PlayerProfile`
Bukkit.`createProfileExact(@Nullable UUID uuid, @Nullable String name)`
Creates an exact PlayerProfile for the specified name/uuid Both UUID and Name can not be null at same time.
`PlayerProfile`
Server.`createProfileExact(@Nullable UUID uuid, @Nullable String name)`
Creates an exact PlayerProfile for the specified name/uuid Both UUID and Name can not be null at same time.

## Uses of PlayerProfile in org.bukkit.block

Methods in org.bukkit.block that return PlayerProfile
Modifier and Type
Method
Description
`PlayerProfile`
Skull.`getPlayerProfile()`
If the skull has an owner, per `Skull.hasOwner()`, return the owners `PlayerProfile`
Methods in org.bukkit.block with parameters of type PlayerProfile
Modifier and Type
Method
Description
`void`
Skull.`setPlayerProfile(PlayerProfile profile)`
Sets this skull to use the supplied Player Profile, which can include textures already prefilled.

## Uses of PlayerProfile in org.bukkit.entity

Methods in org.bukkit.entity that return PlayerProfile
Modifier and Type
Method
Description
`PlayerProfile`
Player.`getPlayerProfile()`
Gets a copy of this players profile
Methods in org.bukkit.entity with parameters of type PlayerProfile
Modifier and Type
Method
Description
`void`
Player.`setPlayerProfile(PlayerProfile profile)`
Changes the PlayerProfile for this player.

## Uses of PlayerProfile in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerProfile
Modifier and Type
Method
Description
`@NotNull PlayerProfile`
AsyncPlayerPreLoginEvent.`getPlayerProfile()`
Gets the PlayerProfile of the player logging in
Methods in org.bukkit.event.player with parameters of type PlayerProfile
Modifier and Type
Method
Description
`void`
AsyncPlayerPreLoginEvent.`setPlayerProfile(@NotNull PlayerProfile profile)`
Constructors in org.bukkit.event.player with parameters of type PlayerProfile
Modifier
Constructor
Description
``
`AsyncPlayerPreLoginEvent(@NotNull String name, @NotNull InetAddress ipAddress, @NotNull InetAddress rawAddress, @NotNull UUID uniqueId, @NotNull PlayerProfile profile)`
Deprecated.
``
`AsyncPlayerPreLoginEvent(@NotNull String name, @NotNull InetAddress ipAddress, @NotNull InetAddress rawAddress, @NotNull UUID uniqueId, @NotNull PlayerProfile profile, @NotNull String hostname)`
``
`AsyncPlayerPreLoginEvent(@NotNull String name, @NotNull InetAddress ipAddress, @NotNull UUID uniqueId, @NotNull PlayerProfile profile)`
Deprecated.

## Uses of PlayerProfile in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return PlayerProfile
Modifier and Type
Method
Description
`PlayerProfile`
SkullMeta.`getPlayerProfile()`
If the skull has an owner, per `SkullMeta.hasOwner()`, return the owners `PlayerProfile`
Methods in org.bukkit.inventory.meta with parameters of type PlayerProfile
Modifier and Type
Method
Description
`void`
SkullMeta.`setPlayerProfile(PlayerProfile profile)`
Sets this skull to use the supplied Player Profile, which can include textures already prefilled.